use bitfinex::positions::Position;

use crate::events::Event;
use crate::positions::PositionWrapper;

pub trait Strategy {
    fn position_on_new_tick(&self, position: Position) -> (PositionWrapper, Vec<Event>);
}